From: Carlos Maddela <e7appew@gmail.com>
Date: Tue, 12 Feb 2019 12:52:39 +1100
Subject: Allow translations to be built out-of-place.

Description: Allow translations to be built out-of-place.
Author: Carlos Maddela <e7appew@gmail.com>
Origin: vendor
Forwarded: https://github.com/brunonova/nautilus-hide/pull/11
Last-Update: 2019-02-12
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
---
 CMakeLists.txt | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index b2a0de0..8450ecb 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -6,8 +6,13 @@ find_package(Xdotool REQUIRED)
 
 configure_file(extension/nautilus-hide.py extension/nautilus-hide.py)
 
-file(GLOB PO_FILES "po/*.po")
-gettext_create_translations(po/nautilus-hide.pot ALL ${PO_FILES})
+file(GLOB TRANSLATION_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "po/*")
+foreach(trans_file ${TRANSLATION_FILES})
+    configure_file(${trans_file} ${trans_file} COPYONLY)
+endforeach()
+file(GLOB PO_FILES "${CMAKE_CURRENT_BINARY_DIR}/po/*.po")
+gettext_create_translations("${CMAKE_CURRENT_BINARY_DIR}/po/nautilus-hide.pot"
+                            ALL ${PO_FILES})
 
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/extension/nautilus-hide.py" DESTINATION /usr/share/nautilus-python/extensions)
 
